<html>
<body>

<h1> sch-rnd - use cases </h1>

<h2> The "transistor" problem </h2>

<h3> Setup </h3>
<ul>
	<li> sch -&gt; pcb flow
	<li> generic (light) symbol in the schematics (e.g. a generic NPN)
	<li> footprint attribute set to a generic footprint (e.g. a generic sot23)
</ul>

<h3> Problems </h3>
<ul>
	<li> the pin numbering of the symbol is arbitrary
	<li> the pin numbering of the footprint is arbitrary
	<li> a footprint+NPN doesn't determine the pinout: there are various NPN devices with different pinouts with the same footprint
	<li> number of logical pins may not match number of physical pins; unused pins, mutliple pins connected
</ul>

